Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 2721553004: Remove auto raw pointer deduction from non-linux specific code. (Closed)

Created:
2 years, 8 months ago by vmpstr
Modified:
2 years, 8 months ago
CC:
chromium-reviews, dominickn+watch_chromium.org, skanuj+watch_chromium.org, sadrul, yusukes+watch_chromium.org, vmpstr+watch_chromium.org, posciak+watch_chromium.org, alito+watch_chromium.org, hidehiko+watch_chromium.org, tfarina, yzshen+watch_chromium.org, rouslan+payments_chromium.org, lhchavez+watch_chromium.org, piman+watch_chromium.org, marq+watch_chromium.org, mahmadi+paymentsioswatch_chromium.org, stevenjb+watch_chromium.org, dimich+watch_chromium.org, extensions-reviews_chromium.org, melevin+watch_chromium.org, dewittj+watch_chromium.org, grt+watch_chromium.org, lcwu+watch_chromium.org, viettrungluu+watch_chromium.org, achuith+watch_chromium.org, jam, abarth-chromium, nona+watch_chromium.org, noyau+watch_chromium.org, darin-cc_chromium.org, halliwell+watch_chromium.org, devtools-reviews_chromium.org, pkl (ping after 24h if needed), pkotwicz+watch_chromium.org, android-webview-reviews_chromium.org, alemate+watch_chromium.org, victorhsieh+watch_chromium.org, jdonnelly+watch_chromium.org, qsr+mojo_chromium.org, joenotcharles+watch_chromium.org, mac-reviews_chromium.org, petewil+watch_chromium.org, feature-media-reviews_chromium.org, feature-vr-reviews_chromium.org, jfweitz+watch_chromium.org, oshima+watch_chromium.org, kalyank, alokp+watch_chromium.org, gcasto+watchlist_chromium.org, darin (slow to review), Jered, sdefresne+watch_chromium.org, elijahtaylor+arcwatch_chromium.org, Eugene But (OOO till 7-30), romax+watch_chromium.org, wfh+watch_chromium.org, vabr+watchlistpasswordmanager_chromium.org, donnd+watch_chromium.org, shuchen+watch_chromium.org, chromium-apps-reviews_chromium.org, gogerald+paymentswatch_chromium.org, asvitkine+watch_chromium.org, chili+watch_chromium.org, Aaron Boodman, David Black, davemoore+watch_chromium.org, samarth+watch_chromium.org, fgorski+watch_chromium.org, mahmadi+paymentswatch_chromium.org, kmadhusu+watch_chromium.org, zpeng+watch_chromium.org, ftirelo+watch_chromium.org, sebsg+paymentswatch_chromium.org, pfeldman
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Remove auto raw pointer deduction from non-linux specific code. This patch removes the rest of the auto raw pointer deduction as detected the a clang plugin. This should be enough to enable the check for all platforms. R=danakj@chromium.org TBR=cschuet@chromium.org BUG=554600 CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.linux:linux_optional_gpu_tests_rel;master.tryserver.chromium.mac:mac_optional_gpu_tests_rel;master.tryserver.chromium.win:win_optional_gpu_tests_rel Review-Url: https://codereview.chromium.org/2721553004 Cr-Commit-Position: refs/heads/master@{#454029} Committed: https://chromium.googlesource.com/chromium/src/+/843b41a25f71a9980dbfe2f5a70407efd0ef2ea2

Patch Set 1 #

Total comments: 10

Patch Set 2 : rebase #

Patch Set 3 : const #

Patch Set 4 : undoconst #

Patch Set 5 : undoconst #

Patch Set 6 : noconst #

Patch Set 7 : rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+151 lines, -151 lines) Patch
M android_webview/browser/aw_browser_terminator.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M ash/common/devtools/ash_devtools_css_agent.cc View 3 1 chunk +1 line, -1 line 0 comments Download
M ash/common/system/chromeos/ime_menu/ime_list_view.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M ash/common/system/chromeos/ime_menu/ime_menu_tray.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M ash/common/system/chromeos/network/network_icon.cc View 1 chunk +1 line, -1 line 0 comments Download
M ash/common/system/chromeos/network/network_list_md.cc View 1 2 2 chunks +2 lines, -2 lines 0 comments Download
M ash/common/system/chromeos/palette/palette_tray.cc View 1 chunk +1 line, -1 line 0 comments Download
M ash/common/system/chromeos/tray_caps_lock.cc View 1 chunk +1 line, -1 line 0 comments Download
M ash/common/system/chromeos/tray_tracing.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M ash/common/system/tray/tray_details_view.cc View 1 chunk +1 line, -1 line 0 comments Download
M ash/common/system/update/tray_update.cc View 1 chunk +1 line, -1 line 0 comments Download
M ash/common/system/user/user_card_view.cc View 1 2 3 4 5 6 3 chunks +4 lines, -4 lines 0 comments Download
M ash/common/system/user/user_view.cc View 1 2 3 4 5 6 5 chunks +6 lines, -6 lines 0 comments Download
M ash/display/window_tree_host_manager.cc View 1 chunk +1 line, -1 line 0 comments Download
M ash/system/chromeos/screen_layout_observer_unittest.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M base/threading/worker_pool_win.cc View 1 chunk +1 line, -1 line 0 comments Download
M base/time/time_win.cc View 1 chunk +1 line, -1 line 0 comments Download
M base/win/scoped_handle.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/android/banners/app_banner_infobar_delegate_android.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/android/instantapps/instant_apps_infobar_delegate.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/android/offline_pages/downloads/offline_page_download_bridge.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/android/vr_shell/vr_shell_gl.cc View 1 2 2 chunks +2 lines, -2 lines 0 comments Download
M chrome/browser/chromeos/arc/downloads_watcher/arc_downloads_watcher_service.cc View 1 chunk +3 lines, -3 lines 0 comments Download
M chrome/browser/chromeos/extensions/public_session_permission_helper_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/chromeos/login/session/chrome_session_manager_browsertest.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/chromeos/login/ui/preloaded_web_view_factory.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/chromeos/login/users/fake_chrome_user_manager.cc View 1 2 4 chunks +4 lines, -4 lines 0 comments Download
M chrome/browser/chromeos/note_taking_helper.cc View 1 2 4 chunks +5 lines, -5 lines 0 comments Download
M chrome/browser/chromeos/policy/device_local_account_policy_service_unittest.cc View 1 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/chromeos/preferences.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M chrome/browser/chromeos/printing/fake_printer_discoverer.cc View 4 chunks +4 lines, -4 lines 0 comments Download
M chrome/browser/mac/exception_processor.mm View 1 2 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/memory/memory_kills_monitor_unittest.cc View 6 chunks +6 lines, -6 lines 0 comments Download
M chrome/browser/password_manager/password_store_mac.cc View 3 4 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/predictors/resource_prefetch_predictor_android.cc View 3 chunks +3 lines, -3 lines 0 comments Download
M chrome/browser/renderer_host/site_per_process_text_input_browsertest.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/safe_browsing/srt_fetcher_win.cc View 5 chunks +7 lines, -7 lines 0 comments Download
M chrome/browser/task_manager/sampling/shared_sampler_win.cc View 1 2 1 chunk +2 lines, -2 lines 0 comments Download
M chrome/browser/ui/android/page_info/certificate_chain_helper.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/ui/ash/launcher/chrome_launcher_controller.cc View 1 1 chunk +2 lines, -2 lines 0 comments Download
M chrome/browser/ui/cocoa/history_menu_bridge_unittest.mm View 2 chunks +2 lines, -2 lines 0 comments Download
M chrome/browser/ui/cocoa/location_bar/autocomplete_text_field_cell.mm View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/ui/cocoa/location_bar/location_bar_view_mac.mm View 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/ui/cocoa/view_id_util.mm View 1 chunk +1 line, -1 line 0 comments Download
M chromecast/browser/cast_web_view.cc View 1 chunk +1 line, -1 line 0 comments Download
M chromecast/browser/devtools/cast_devtools_manager_delegate.cc View 1 3 4 1 chunk +1 line, -1 line 0 comments Download
M chromecast/media/service/cast_renderer.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M chromeos/audio/cras_audio_handler_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M chromeos/network/geolocation_handler.cc View 1 chunk +1 line, -1 line 0 comments Download
M components/crash/content/browser/crash_dump_observer_android.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M components/crash/core/common/objc_zombie.mm View 1 chunk +1 line, -1 line 0 comments Download
M components/exo/shell_surface.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M components/exo/surface.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M components/metrics/leak_detector/protobuf_to_mojo_converter.cc View 1 chunk +1 line, -1 line 0 comments Download
M components/metrics/leak_detector/protobuf_to_mojo_converter_unittest.cc View 1 chunk +3 lines, -3 lines 0 comments Download
M content/browser/android/synchronous_compositor_browser_filter.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M content/common/quarantine/quarantine_win_unittest.cc View 1 2 2 chunks +2 lines, -2 lines 0 comments Download
M device/gamepad/xbox_data_fetcher_mac.mm View 3 1 chunk +1 line, -1 line 0 comments Download
M device/vr/test/fake_vr_service_client.cc View 1 chunk +1 line, -1 line 0 comments Download
M device/vr/vr_device.cc View 2 chunks +5 lines, -5 lines 0 comments Download
M device/vr/vr_device_manager.cc View 3 1 chunk +1 line, -1 line 0 comments Download
M device/vr/vr_display_impl_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M ios/chrome/app/spotlight/bookmarks_spotlight_manager.mm View 1 chunk +1 line, -1 line 0 comments Download
M ios/chrome/browser/payments/payment_method_selection_view_controller.mm View 1 2 1 chunk +1 line, -1 line 0 comments Download
M ios/chrome/browser/payments/payment_request.mm View 1 2 3 chunks +3 lines, -3 lines 0 comments Download
M ios/chrome/browser/payments/shipping_address_selection_view_controller.mm View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M ios/chrome/browser/sessions/session_service.mm View 1 chunk +1 line, -1 line 0 comments Download
M ios/chrome/browser/tabs/tab.mm View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M ios/chrome/browser/ui/bookmarks/bookmark_home_handset_view_controller.mm View 1 chunk +1 line, -1 line 0 comments Download
M ios/chrome/browser/ui/bookmarks/bookmark_home_tablet_ntp_controller.mm View 1 chunk +1 line, -1 line 0 comments Download
M ios/chrome/browser/ui/bookmarks/bookmark_menu_view.mm View 1 chunk +1 line, -1 line 0 comments Download
M ios/chrome/browser/ui/bookmarks/bookmark_utils_ios.mm View 1 2 5 chunks +5 lines, -5 lines 0 comments Download
M ios/chrome/browser/ui/browser_view_controller.mm View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M ios/chrome/browser/ui/ntp/recent_tabs/synced_sessions.mm View 1 2 3 chunks +3 lines, -3 lines 0 comments Download
M ios/chrome/browser/ui/omnibox/location_bar_view_ios.mm View 1 chunk +2 lines, -2 lines 0 comments Download
M ios/chrome/browser/web/blocked_popup_tab_helper_unittest.mm View 1 chunk +1 line, -1 line 0 comments Download
M ios/chrome/browser/web/repost_form_tab_helper_unittest.mm View 1 chunk +1 line, -1 line 0 comments Download
M ios/web/web_state/http_auth_inttest.mm View 3 chunks +3 lines, -3 lines 0 comments Download
M media/gpu/avda_codec_allocator.cc View 1 chunk +1 line, -1 line 0 comments Download
M mojo/android/system/watcher_impl.cc View 1 chunk +1 line, -1 line 0 comments Download
M ui/accelerated_widget_mac/ca_renderer_layer_tree.mm View 3 chunks +4 lines, -4 lines 0 comments Download
M ui/accelerated_widget_mac/io_surface_context.mm View 5 chunks +5 lines, -5 lines 0 comments Download

Messages

Total messages: 43 (31 generated)
vmpstr
Please take a look.
2 years, 8 months ago (2017-02-27 21:08:50 UTC) #3
vabr (Chromium)
chrome/browser/password_manager/password_store_mac.cc LGTM
2 years, 8 months ago (2017-02-28 06:56:39 UTC) #7
danakj
Can you go thru all the cases in for() loops and try make them const ...
2 years, 8 months ago (2017-02-28 15:33:30 UTC) #8
vmpstr
I've updated to const auto* where I think it was OK. However, some places it's ...
2 years, 8 months ago (2017-02-28 21:48:27 UTC) #10
danakj
LGTM. +brettw for top level OWNERS. As it's mechanical, you can TBR him I think.
2 years, 8 months ago (2017-02-28 21:58:24 UTC) #13
brettw
rs lgtm
2 years, 8 months ago (2017-02-28 22:00:21 UTC) #16
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2721553004/60001
2 years, 8 months ago (2017-02-28 22:10:38 UTC) #19
mthiesse
On 2017/02/28 22:10:38, commit-bot: I haz the power wrote: > CQ is trying da patch. ...
2 years, 8 months ago (2017-02-28 22:14:20 UTC) #23
vmpstr
+cschuet for chromeos/network/. Please take a look.
2 years, 8 months ago (2017-02-28 22:21:53 UTC) #25
vmpstr
TBRing cschuet
2 years, 8 months ago (2017-03-01 18:46:43 UTC) #37
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2721553004/120001
2 years, 8 months ago (2017-03-01 18:47:28 UTC) #40
commit-bot: I haz the power
2 years, 8 months ago (2017-03-01 21:15:53 UTC) #43
Message was sent while issue was closed.
Committed patchset #7 (id:120001) as
https://chromium.googlesource.com/chromium/src/+/843b41a25f71a9980dbfe2f5a704...

Powered by Google App Engine
This is Rietveld 408576698